System.Web 2.0.0.0

The interface identifies the methods that you must implement to create a custom manager for session-identifier values. An interface implementation creates and validates session-identifier values, and manages the storage of a session identifier in the HTTP response as well as the retrieval of a session-identifier value from the HTTP request. You enable the custom session-ID manager using the sessionIDManagerType attribute of the sessionState configuration element.

If your interface implementation will support cookieless session identifiers, you will need to implement a solution for sending and retrieving session identifiers in the URL, such as an ISAPI filter.

If you only want to supply custom session-identifier values to be used by ASP.NET session state, you can create a class that inherits the class and override only the and methods with your own custom implementation. This enables you to supply your own session-identifier values, while relying on the base class to store values to the HTTP response and retrieve values from the HTTP request. For an example of overriding the class and implementing these methods, see the example provided for the method of the class.

Defines the contract that a custom session-state identifier manager must implement.

- Method
  System.String ``

  The method is used to generate a unique session identifier that the object will use to identify a new session. The value returned by must be unique and must contain valid characters that can be stored in an HTTP response and request. If it is possible that the value returned by your implementation contains characters that are not valid in an HTTP response or request, you should use the method to encode the session-identifier value in your method implementation and the method to decode the session-identifier value in your method implementation.

  Creates a unique session identifier.

  A unique session identifier.

  The current object that references server objects used to process HTTP requests (for example, the and properties). 2.0.0.0
- Method
  System.String ``

  The method is called by the during the and events. If you cannot retrieve a valid session identifier from the HTTP request, return null. If the receives null from the method, it will call the method to get a new session identifier for a new session.

  If it is possible that the value returned by your implementation contains characters that are not valid in an HTTP response or request, you should use the method to encode the session-identifier value in your method implementation and the method to decode the session-identifier value in your method implementation.

  Gets the session identifier from the context of the current HTTP request.

  The current session identifier sent with the HTTP request.

  The current object that references server objects used to process HTTP requests (for example, the and properties). 2.0.0.0
- Method
  System.Void

  Use the method to initialize the object.

  Initializes the object.

  2.0.0.0
- Method
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  The calls the method during the event to remove the session identifier from the collection if a new session was created but was not used.

  Deletes the session identifier from the cookie or from the URL.

  The current object that references server objects used to process HTTP requests (for example, the and properties). 2.0.0.0
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean ``

  The method verifies that the supplied is a valid session identifier.

  Your implementation should call the method from the method when retrieving a session identifier from an HTTP request to ensure that the supplied session identifier is properly formatted.

  Confirms that the supplied session identifier is valid.

  true if the session identifier is valid; otherwise, false.

  The session identifier to validate. 2.0.0.0